Loading...
Searching...
No Matches
XrdSecProtocolsss.cc File Reference
`#include <alloca.h>`
`#include <cctype>`
`#include <iostream>`
`#include <cstdlib>`
`#include <cstring>`
`#include <strings.h>`
`#include <cstdio>`
`#include <sys/param.h>`
`#include <unistd.h>`
`#include "XrdVersion.hh"`
`#include "XrdNet/XrdNetUtils.hh"`
`#include "XrdOuc/XrdOucCRC.hh"`
`#include "XrdOuc/XrdOucErrInfo.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucPup.hh"`
`#include "XrdOuc/XrdOucTokenizer.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSec/XrdSecEntityAttr.hh"`
`#include "XrdSecsss/XrdSecsssEnt.hh"`
`#include "XrdSecsss/XrdSecProtocolsss.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdSecProtocolsss.cc:

Go to the source code of this file.

## Macros

#define | CLDBG(x)
#define | XrdsssPROTOIDENT "sss"

## Functions

char * | XrdSecProtocolsssInit (const char mode, const char *parms, XrdOucErrInfo *erp)
XrdSecProtocol * | XrdSecProtocolsssObject (const char mode, const char *hostname, XrdNetAddrInfo &endPoint, const char *parms, XrdOucErrInfo *erp)
| XrdVERSIONINFO (XrdSecProtocolsssObject, secsss)

## Macro Definition Documentation

## CLDBG

#define CLDBG | ( |  | x | ) |

Value:
if (sssDEBUG) std::cerr<<"sec_sss: "<<x<<'\n'<<std::flush

Definition at line 65 of file XrdSecProtocolsss.cc.

## XrdsssPROTOIDENT

#define XrdsssPROTOIDENT "sss"

Definition at line 63 of file XrdSecProtocolsss.cc.

Referenced by XrdSecProtocolsss::getCredentials().

## Function Documentation

## XrdSecProtocolsssInit()

char * XrdSecProtocolsssInit | ( | const char | mode,
|  | const char * | parms,
|  | XrdOucErrInfo * | erp )

Definition at line 1089 of file XrdSecProtocolsss.cc.

{
// Set debug option
//
if (getenv("XrdSecDEBUG")) sssDEBUG = true;
// Perform load-time initialization
//
return (mode == 'c' ? XrdSecProtocolsss::Load_Client(erp, parms)
: XrdSecProtocolsss::Load_Server(erp, parms));
}
XrdSecProtocolsss::Load_Client
static char * Load_Client(XrdOucErrInfo *erp, const char *Parms)
Definition XrdSecProtocolsss.cc:815
XrdSecProtocolsss::Load_Server
static char * Load_Server(XrdOucErrInfo *erp, const char *Parms)
Definition XrdSecProtocolsss.cc:948

References XrdSecProtocolsss::Load_Client(), and XrdSecProtocolsss::Load_Server().

Here is the call graph for this function:

## XrdSecProtocolsssObject()

XrdSecProtocol * XrdSecProtocolsssObject | ( | const char | mode,
|  | const char * | hostname,
|  | XrdNetAddrInfo & | endPoint,
|  | const char * | parms,
|  | XrdOucErrInfo * | erp )

Definition at line 1113 of file XrdSecProtocolsss.cc.

{
XrdSecProtocolsss *prot;
int Ok;
// Get a new protocol object
//
if (!(prot = new XrdSecProtocolsss(endPoint.Name(hostname), endPoint)))
XrdSecProtocolsss::Fatal(erp, "sss_Object", ENOMEM,
"Secsss: Insufficient memory for protocol.");
else {Ok = (mode == 'c' ? prot->Init_Client(erp, parms)
: prot->Init_Server(erp, parms));
if (!Ok) {prot->Delete(); prot = 0;}
}
// All done
//
return (XrdSecProtocol *)prot;
}
XrdNetAddrInfo::Name
const char * Name(const char *eName=0, const char **eText=0)
Definition XrdNetAddrInfo.cc:309
XrdSecProtocol
Definition XrdSecInterface.hh:131
XrdSecProtocolsss
Definition XrdSecProtocolsss.hh:45
XrdSecProtocolsss::Init_Server
int Init_Server(XrdOucErrInfo *erp, const char *Parms)
Definition XrdSecProtocolsss.cc:801
XrdSecProtocolsss::Fatal
static int Fatal(XrdOucErrInfo *erP, const char *epn, int rc, const char *etxt)
Definition XrdSecProtocolsss.cc:531
XrdSecProtocolsss::Delete
void Delete()
Delete the protocol object. DO NOT use C++ delete() on this object.
Definition XrdSecProtocolsss.cc:444
XrdSecProtocolsss::Init_Client
int Init_Client(XrdOucErrInfo *erp, const char *Parms)
Definition XrdSecProtocolsss.cc:740

References XrdSecProtocolsss::Delete(), XrdSecProtocolsss::Fatal(), XrdSecProtocolsss::Init_Client(), XrdSecProtocolsss::Init_Server(), and XrdNetAddrInfo::Name().

Referenced by XrdVERSIONINFO().

Here is the call graph for this function:
Here is the caller graph for this function:

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdSecProtocolsssObject | ,
|  | secsss | )

References XrdSecProtocolsssObject().

Here is the call graph for this function: